@echo off

set prog2=n64rawgfx.exe

set modeE=export
set format_I=I
set formatIA=IA
set format_CI=CI
set format_RGBA=RGBA
Set Bits4=4
Set Bits8=8
Set Bits16=16
Set Bits32=32

rem \\\\\/////
set /a w01=8
set /a w02=2*8

rem \\\\\/////
set /a h01=14

rem \\\\\/////

set off_fnt1_001=0x2D0
set off_fnt1_002=0x340
set off_fnt1_003=0x3B0
set off_fnt1_004=0x490
set off_fnt1_005=0x570
set off_fnt1_006=0x650
set off_fnt1_007=0x730
set off_fnt1_008=0x7A0
set off_fnt1_009=0x810
set off_fnt1_010=0x880
set off_fnt1_011=0x960
set off_fnt1_012=0xA40
set off_fnt1_013=0xAB0
set off_fnt1_014=0xB20
set off_fnt1_015=0xB90
set off_fnt1_016=0xC00
set off_fnt1_017=0xC70
set off_fnt1_018=0xCE0
set off_fnt1_019=0xD50
set off_fnt1_020=0xDC0
set off_fnt1_021=0xE30
set off_fnt1_022=0xEA0
set off_fnt1_023=0xF10
set off_fnt1_024=0xF80
set off_fnt1_025=0xFF0
set off_fnt1_026=0x1060
set off_fnt1_027=0x10D0
set off_fnt1_028=0x1140
set off_fnt1_029=0x1220
set off_fnt1_030=0x1300
set off_fnt1_031=0x13E0
set off_fnt1_032=0x1450
set off_fnt1_033=0x1530
set off_fnt1_034=0x1610
set off_fnt1_035=0x16F0
set off_fnt1_036=0x1760
set off_fnt1_037=0x1840
set off_fnt1_038=0x18B0
set off_fnt1_039=0x1920
set off_fnt1_040=0x1A00
set off_fnt1_041=0x1AE0
set off_fnt1_042=0x1B50
set off_fnt1_043=0x1BC0
set off_fnt1_044=0x1CA0
set off_fnt1_045=0x1D10
set off_fnt1_046=0x1DF0
set off_fnt1_047=0x1ED0
set off_fnt1_048=0x1FB0
set off_fnt1_049=0x2020
set off_fnt1_050=0x2100
set off_fnt1_051=0x2170
set off_fnt1_052=0x2250
set off_fnt1_053=0x22C0
set off_fnt1_054=0x2330
set off_fnt1_055=0x2410
set off_fnt1_056=0x24F0
set off_fnt1_057=0x25D0
set off_fnt1_058=0x26B0
set off_fnt1_059=0x2790
set off_fnt1_060=0x2800
set off_fnt1_061=0x28E0
set off_fnt1_062=0x2950
set off_fnt1_063=0x2A30
set off_fnt1_064=0x2AA0
set off_fnt1_065=0x2B10
set off_fnt1_066=0x2B80
set off_fnt1_067=0x2BF0
set off_fnt1_068=0x2C60
set off_fnt1_069=0x2CD0
set off_fnt1_070=0x2D40
set off_fnt1_071=0x2DB0
set off_fnt1_072=0x2E20
set off_fnt1_073=0x2E90
set off_fnt1_074=0x2F00
set off_fnt1_075=0x2F70
set off_fnt1_076=0x2FE0
set off_fnt1_077=0x3050
set off_fnt1_078=0x30C0
set off_fnt1_079=0x31A0
set off_fnt1_080=0x3280
set off_fnt1_081=0x32F0
set off_fnt1_082=0x3360
set off_fnt1_083=0x3440
set off_fnt1_084=0x34B0
set off_fnt1_085=0x3520
set off_fnt1_086=0x3600
set off_fnt1_087=0x3670
set off_fnt1_088=0x36E0

echo Exporting GFX...
if not exist font_1 MD font_1
for %%F in (*.bin) do (
%prog2% -r "%%F" -b "001.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_001% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "002.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_002% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "003.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_003% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "004.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_004% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "005.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_005% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "006.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_006% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "007.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_007% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "008.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_008% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "009.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_009% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "010.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_010% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "011.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_011% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "012.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_012% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "013.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_013% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "014.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_014% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "015.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_015% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "016.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_016% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "017.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_017% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "018.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_018% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "019.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_019% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "020.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_020% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "021.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_021% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "022.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_022% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "023.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_023% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "024.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_024% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "025.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_025% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "026.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_026% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "027.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_027% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "028.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_028% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "029.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_029% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "030.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_030% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "031.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_031% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "032.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_032% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "033.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_033% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "034.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_034% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "035.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_035% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "036.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_036% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "037.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_037% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "038.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_038% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "039.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_039% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "040.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_040% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "041.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_041% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "042.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_042% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "043.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_043% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "044.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_044% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "045.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_045% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "046.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_046% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "047.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_047% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "048.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_048% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "049.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_049% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "050.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_050% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "051.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_051% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "052.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_052% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "053.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_053% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "054.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_054% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "055.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_055% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "056.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_056% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "057.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_057% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "058.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_058% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "059.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_059% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "060.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_060% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "061.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_061% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "062.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_062% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "063.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_063% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "064.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_064% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "065.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_065% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "066.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_066% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "067.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_067% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "068.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_068% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "069.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_069% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "070.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_070% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "071.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_071% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "072.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_072% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "073.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_073% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "074.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_074% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "075.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_075% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "076.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_076% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "077.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_077% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "078.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_078% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "079.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_079% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "080.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_080% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "081.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_081% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "082.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_082% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "083.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_083% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "084.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_084% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "085.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_085% -x %w02% -y %h01% >nul
%prog2% -r "%%F" -b "086.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_086% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "087.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_087% -x %w01% -y %h01% >nul
%prog2% -r "%%F" -b "088.bmp" -m %modeE% -f %formatIA% -d %Bits8% -a %off_fnt1_088% -x %w02% -y %h01% >nul
)
if exist *.bmp move *.bmp font_1 >nul
pause
